Subject: Issuing cat-blob or ls to fast-import from a remote helper

From: Marco Schulze <[email-masked]>
Date: Tue, 07 Aug 2012 19:41:48 -0300

I've been toying with a git-remote-svn which uses fast-import (by 
advertising the 'import' capability) to get data into Git. 
Unfortunately, I can't get the result of any commands issued to 
fast-import, as its stdout is not redirected, and the remote helper API 
offers no alternative.

I tried modifiying transport-helper.c to force redirection 
(fast-import's stdout -> remote helper's stdin), but that breaks test 
t5800 (and possibly others). Is this a bug, or intended behaviour? Am I 
missing something?